Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083616 - llvm make check failed in ppc64le
Summary: llvm make check failed in ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 22
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1077767 1078190
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-04-02 15:02 UTC by Menanteau Guy
Modified: 2015-08-13 16:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-13 16:58:59 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2014-04-02 15:02:22 UTC
Description of problem:
make check failed during build of llvm in ppc64le arch

Version-Release number of selected component (if applicable):
llvm-3.4-5.fc21.ppc64le

How reproducible:
rpmbuild --target ppc64le

Actual results:
FAIL: LLVM :: Bindings/Ocaml/bitreader.ml (391 of 9302)
*** TEST 'LLVM :: Bindings/Ocaml/bitreader.ml' FAILED ***
...
configure: WARNING: --enable-bindings=ocaml specified, but ocamlopt not found. Try configure OCAMLOPT=/path/to/ocamlopt

Additional info:
Problem is dur to ocamlopt missing in ocaml package for ppc64le arch
This is relative to bug 1078190

Comment 1 Jaroslav Reznik 2015-03-03 15:39:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Rafael Fonseca 2015-08-13 15:32:59 UTC
Is this bug still valid?

Comment 3 Menanteau Guy 2015-08-13 16:58:59 UTC
It seems it has been fixed


Note You need to log in before you can comment on or make changes to this bug.